GrailsApplicationContextLoader (Grails 6.0.0)

Package: grails.boot.test

## [Groovy] Class GrailsApplicationContextLoader

- grails.boot.test.GrailsApplicationContextLoader

-     class GrailsApplicationContextLoader
      extends org.springframework.boot.test.context.SpringBootContextLoader

  Extends Spring Boot's org.springframework.boot.test.context.SpringBootContextLoader with a version for Grails

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApplicationContextLoader ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.boot.SpringApplication` | `getSpringApplication()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.test.context.SpringBootContextLoader` | `org.springframework.boot.test.context.SpringBootContextLoader#loadContext([Ljava.lang.String;), org.springframework.boot.test.context.SpringBootContextLoader#loadContext(org.springframework.test.context.MergedContextConfiguration), org.springframework.boot.test.context.SpringBootContextLoader#processContextConfiguration(org.springframework.test.context.ContextConfigurationAttributes), org.springframework.boot.test.context.SpringBootContextLoader#processLocations(java.lang.Class, [Ljava.lang.String;), org.springframework.boot.test.context.SpringBootContextLoader#wait(long), org.springframework.boot.test.context.SpringBootContextLoader#wait(long, int), org.springframework.boot.test.context.SpringBootContextLoader#wait(), org.springframework.boot.test.context.SpringBootContextLoader#equals(java.lang.Object), org.springframework.boot.test.context.SpringBootContextLoader#toString(), org.springframework.boot.test.context.SpringBootContextLoader#hashCode(), org.springframework.boot.test.context.SpringBootContextLoader#getClass(), org.springframework.boot.test.context.SpringBootContextLoader#notify(), org.springframework.boot.test.context.SpringBootContextLoader#notifyAll()`

- - ### Constructor Detail

    - #### GrailsApplicationContextLoader()

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.boot.SpringApplication getSpringApplication()